# CMSIS-Driver: Data Fields - Variables

| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - g -

- general_call : ARM_I2C_STATUS
- GetCapabilities : ARM_DRIVER_ETH_MAC , ARM_DRIVER_MCI , ARM_DRIVER_USART , ARM_DRIVER_USBD , ARM_DRIVER_NAND , ARM_DRIVER_USBH , ARM_DRIVER_USBH_HCI , ARM_DRIVER_I2C , ARM_DRIVER_FLASH , ARM_DRIVER_SPI
- GetDataCount : ARM_DRIVER_I2C , ARM_DRIVER_SPI
- GetDeviceBusy : ARM_DRIVER_NAND
- GetFrameNumber : ARM_DRIVER_USBH , ARM_DRIVER_USBD
- GetInfo : ARM_DRIVER_FLASH
- GetLinkInfo : ARM_DRIVER_ETH_PHY
- GetLinkState : ARM_DRIVER_ETH_PHY
- GetMacAddress : ARM_DRIVER_ETH_MAC
- GetModemStatus : ARM_DRIVER_USART
- GetRxCount : ARM_DRIVER_USART
- GetRxFrameSize : ARM_DRIVER_ETH_MAC
- GetRxFrameTime : ARM_DRIVER_ETH_MAC
- GetStatus : ARM_DRIVER_NAND , ARM_DRIVER_I2C , ARM_DRIVER_MCI , ARM_DRIVER_FLASH , ARM_DRIVER_SPI , ARM_DRIVER_USART
- GetTxCount : ARM_DRIVER_USART
- GetTxFrameTime : ARM_DRIVER_ETH_MAC
- GetVersion : ARM_DRIVER_USBH_HCI , ARM_DRIVER_MCI , ARM_DRIVER_ETH_PHY , ARM_DRIVER_I2C , ARM_DRIVER_SPI , ARM_DRIVER_NAND , ARM_DRIVER_USBD , ARM_DRIVER_ETH_MAC , ARM_DRIVER_USART , ARM_DRIVER_USBH , ARM_DRIVER_FLASH